home chevron_right Services
Config

`Config` is a custom built Fuse service allows to have a granule control over the Fuse. It can be used for changing theme options (layout, color etc.) by component basis.

## Usage

export class SomeComponent { settings: any; constructor(private fuseConfig: FuseConfigService) { // Subscribe to settings changed event this.fuseConfig.onSettingsChanged.subscribe( (newSettings) => { this.settings = newSettings; } ); } onInit(){ // Fully customizable surroundings for this particular component this.fuseConfig.setSettings({ layout : { navigation: 'left', // 'right', 'left', 'top', none toolbar : 'below', // 'above', 'below', none footer : 'none' // 'above', 'below', none }, colorClasses : { toolbar: 'md-white-500-bg', navbar : 'md-fuse-dark-500-bg', footer : 'md-fuse-dark-800-bg' }, customScrollbars: true, routerAnimation : 'fadeIn' }); } }